<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
		 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<groupId>yswg.sqoop</groupId>
	<artifactId>yswg_tool</artifactId>
	<version>1.0</version>


	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<maven.compile.source>1.6</maven.compile.source>
		<maven.compile.target>1.6</maven.compile.target>
		<avroVersion>1.5.2</avroVersion>
		<hadoopVersion>1.2.1</hadoopVersion>

		<hbaseVersion>0.90.3-cdh3u1</hbaseVersion>
		<log4j.version>1.2.16</log4j.version>

	</properties>

	<dependencies>
		<dependency>
			<groupId>org.apache.sqoop</groupId>
			<artifactId>sqoop</artifactId>
			<version>1.4.6</version>
			<scope>system</scope>
			<systemPath>${pom.basedir}/src/main/resources/lib/sqoop-1.4.6-hadoop100.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>org.apache.hadoop</groupId>
			<artifactId>hadoop-core</artifactId>
			<version>${hadoopVersion}</version>
			<exclusions>
				<exclusion>
					<groupId>org.codehaus.jackson</groupId>
					<artifactId>jackson-core-asl</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
	</dependencies>


	<build>
		<sourceDirectory>src/main/java</sourceDirectory>
		<testSourceDirectory>src/test</testSourceDirectory>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<configuration>
					<source>6</source>
					<target>6</target>
				</configuration>
			</plugin>
		</plugins>

	</build>
</project>